Subject: Re: [syzbot] WARNING: ODEBUG bug in batadv_v_ogm_free

From: syzbot <[email-masked]>
Date: Wed, 24 Nov 2021 09:42:10 -0800

syzbot suspects this issue was fixed by commit:

commit 6f68cd634856f8ca93bafd623ba5357e0f648c68
Author: Pavel Skripkin <[email-masked]>
Date:   Sun Oct 24 13:13:56 2021 +0000

    net: batman-adv: fix error handling

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=114e3c16b00000
start commit:   cf52ad5ff16c Merge tag 'driver-core-5.15-rc6' of git://git..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=9479508d7bb83ad9
dashboard link: https://syzkaller.appspot.com/bug?extid=0ef06384b5f39a16ebb9
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=17af7344b00000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=15dc02fb300000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: net: batman-adv: fix error handling

For information about bisection process see: https://goo.gl/tpsmEJ#bisection